Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Samuli Suominen (drac)" <drac@g.o>
Subject: gentoo-x86 commit in x11-misc/fluxter: fluxter-0.1.0.ebuild ChangeLog
Date: Sun, 18 Nov 2007 17:18:40 +0000
drac        07/11/18 17:18:40

  Modified:             fluxter-0.1.0.ebuild ChangeLog
  Log:
  Fix building with --as-needed & amd64 stable.
  (Portage version: 2.1.3.19)

Revision  Changes    Path
1.14                 x11-misc/fluxter/fluxter-0.1.0.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild?r1=1.13&r2=1.14

Index: fluxter-0.1.0.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- fluxter-0.1.0.ebuild	7 Dec 2006 02:19:20 -0000	1.13
+++ fluxter-0.1.0.ebuild	18 Nov 2007 17:18:39 -0000	1.14
@@ -1,23 +1,33 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild,v 1.13 2006/12/07 02:19:20 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/fluxter/fluxter-0.1.0.ebuild,v 1.14 2007/11/18 17:18:39 drac Exp $
+
+inherit autotools eutils
 
 DESCRIPTION="workspace pager dockapp, particularly useful with the Fluxbox window manager"
-HOMEPAGE="http://www.isomedia.com/homes/stevencooper/"
+HOMEPAGE="http://www.isomedia.com/homes/stevencooper"
 SRC_URI="http://www.isomedia.com/homes/stevencooper/files/${P}.tar.gz"
-IUSE=""
+
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="~amd64 hppa ppc x86 ~x86-fbsd"
+KEYWORDS="amd64 hppa ppc x86 ~x86-fbsd"
+IUSE=""
 
 DEPEND="virtual/blackbox"
 
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	epatch "${FILESDIR}"/${P}-asneeded.patch
+	eautoreconf
+}
+
 src_compile() {
-	econf --datadir=/usr/share/commonbox || die
-	emake || die
+	econf --datadir=/usr/share/commonbox
+	emake || die "emake failed."
 }
 
 src_install() {
-	make DESTDIR=${D} install || die
-	dodoc README COPYING AUTHORS ChangeLog NEWS README TODO
+	emake DESTDIR="${D}" install || die "emake install failed."
+	dodoc README AUTHORS ChangeLog NEWS README TODO
 }



1.14                 x11-misc/fluxter/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/ChangeLog?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/ChangeLog?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-misc/fluxter/ChangeLog?r1=1.13&r2=1.14

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-misc/fluxter/ChangeLog,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- ChangeLog	19 Mar 2007 01:20:40 -0000	1.13
+++ ChangeLog	18 Nov 2007 17:18:39 -0000	1.14
@@ -1,6 +1,10 @@
 # ChangeLog for x11-misc/fluxter
 # Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-misc/fluxter/ChangeLog,v 1.13 2007/03/19 01:20:40 kloeri Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/fluxter/ChangeLog,v 1.14 2007/11/18 17:18:39 drac Exp $
+
+  18 Nov 2007; Samuli Suominen <drac@g.o>
+  +files/fluxter-0.1.0-asneeded.patch, fluxter-0.1.0.ebuild:
+  Fix building with --as-needed & amd64 stable.
 
   19 Mar 2007; Bryan Ƙstergaard <kloeri@g.o> metadata.xml:
   Remove ka0ttic from metadata.xml due to retirement.



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in x11-misc/fluxter/files: fluxter-0.1.0-asneeded.patch
Next by thread:
gentoo-x86 commit in media-plugins/gst-plugins-ladspa: gst-plugins-ladspa-0.10.5.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in x11-misc/fluxter/files: fluxter-0.1.0-asneeded.patch
Next by date:
gentoo-x86 commit in profiles: package.mask


Updated Apr 20, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.